// ServiceFR.h: interface for the CServiceFR class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVICEFR_H__002BB24F_E4EF_11D1_865E_1AA243000000__INCLUDED_)
#define AFX_SERVICEFR_H__002BB24F_E4EF_11D1_865E_1AA243000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ServiceBase.h"


class SERVICE_EXPORTED_CLASS CServiceFR : public CServiceBase  
{
	DECLARE_DYNAMIC(CServiceFR)
public:
	CServiceFR(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CServiceFR();
	virtual BOOL AddChild(void);
    virtual BOOL DeleteChild(CConfigObject const * const pChild);
	virtual void ParentUpdate(void);

	DWORD GetLineSpeed() const;
};

#endif // !defined(AFX_SERVICEFR_H__002BB24F_E4EF_11D1_865E_1AA243000000__INCLUDED_)
